package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.DocCate;
import org.apache.ibatis.annotations.Mapper;

/** 文档分类 Mapper */
@Mapper
public interface DocCateMapper {
    /**
     * 查询文档分类列表
     *
     * @param docCate 查询条件
     * @return 文档分类列表
     */
    public List<DocCate> selectDocCateList(DocCate docCate);

    /**
     * 通过分类ID查询文档分类
     *
     * @param cateId 分类ID
     * @return 文档分类
     */
    public DocCate selectDocCateById(String cateId);

    /**
     * 通过分类ID删除文档分类
     *
     * @param cateId 分类ID
     * @return 影响行数
     */
    public int deleteDocCateById(String cateId);

    /**
     * 修改文档分类
     *
     * @param docCate 文档分类
     * @return 影响行数
     */
    public int updateDocCate(DocCate docCate);

    /**
     * 新增文档分类
     *
     * @param docCate 文档分类
     * @return 影响行数
     */
    public int insertDocCate(DocCate docCate);

    /**
     * 查询子分类列表
     *
     * @param catePid 父分类ID
     * @return 子分类列表
     */
    public List<DocCate> findSubList(String catePid);
}
